from django.contrib import admin
from django.urls import path,include
from . import views
from django_email_verification import urls as mail_urls
from django.contrib.auth import views as auth_views

"""URL patters used for the Account app."""
urlpatterns = [
    path('registernormal',views.registerNormal,name='registernormal'),
    path('registeriitian',views.registerIITian,name='registeriitian'),
    path('login',views.loginview,name='login'),
    path('logout',views.logoutview,name='logout'),
    path('email/', include(mail_urls)),
    path('password_reset/', auth_views.PasswordResetView.as_view(template_name = "password_reset_form.html" ), name='password_reset'),
    path('password_reset_done/', auth_views.PasswordResetDoneView.as_view(template_name = "password_reset_done.html"), name='password_reset_done'),
    path('reset/<uidb64>/<token>/', auth_views.PasswordResetConfirmView.as_view(template_name = "password_reset_confirm.html"), name='password_reset_confirm'),
    path('password_reset_complete/', auth_views.PasswordResetCompleteView.as_view(template_name = "password_reset_complete.html"), name='password_reset_complete'),
   
]
