from django.contrib import admin
from django.urls import path
from . import views
from django.contrib.auth.decorators import login_required
from django.views.decorators.cache import cache_control

"""URL patters used for the Gyan app."""
urlpatterns = [
    path('',views.home,name='home'),
    path('home',views.home,name='home'),
    path('about',views.about,name='about'),
    path('normaldashboard',views.normaldashboard,name='normaldashboard'),
    path('iitiandashboard',views.iitiandashboard,name='iitiandashboard'),
    path('question/add/', login_required(views.QuestionCreate.as_view()), name='question-add'),
    path('questions/', login_required(views.QuestionListView.as_view()), name='questions'),
    path('question/<int:pk>', login_required(views.QuestionDetailView.as_view()), name='question-detail'),
    path('question/add/', login_required(views.QuestionCreate.as_view()), name='question-add'),
    path('answers/', login_required(views.AnswerListView.as_view()), name='answers'),
    path('question/<int:pk>/answer/', login_required(views.AnswerCreate.as_view()), name='answer-add'),
    path('question/<int:pk>/update/', login_required(views.UpdateQuestion.as_view()), name='question-update'),
    path('answer/<int:pk>/update/', login_required(views.UpdateAnswer.as_view()), name='answer-update'),
    path('answer/<int:pk>/comment/', views.CommentCreate.as_view(), name='comment-add'),
    path('answer/upvote/<int:pk>', login_required(views.UpvoteCreate.as_view()), name='answer-upvote'),
    path('answer/downvote/<int:pk>', login_required(views.DownvoteCreate.as_view()), name='answer-downvote'),
    path('myquestions/', login_required(views.MyQuestionListView.as_view()), name='myquestions'),
]